//import library
import ddf.minim.spi.*;
import ddf.minim.signals.*;
import ddf.minim.*;
import ddf.minim.analysis.*;
import ddf.minim.ugens.*;
import ddf.minim.effects.*;

//initialize variables
Minim minim;
AudioPlayer song;



void setup()
{
  minim = new Minim(this);
  song = minim.loadFile("music.mp3");
  song.play();
  
 
  size(900, 500, P3D);
  noStroke();
  ellipseMode(CENTER);
}

int n = 0;

float r;
float g;
float b;

void draw()
{
  r = 163;
  g = random(110,130);
  b = 15;
  background(r, g, b);
  translate(width/2, height/2);
  for (int i = 0; i < song.bufferSize () - 1; i++) {
    rotateX(n*+PI/60*0.05);
    rotateY(n*+PI/6*0.5);
    rotateZ(n*+PI/6*0.5);
    noStroke();
    fill(245, 210, 158);
    ellipse(i, i, song.left.get(i)*50, song.right.get(i)*50);
    fill(255, 0, 0, 40);
    ellipse(i*100, i*100, song.right.get(i)*500, song.left.get(i)*500);
  }
  n++;


}


















